﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using Tanshu.Accounts.BI;

namespace Tanshu.Accounts.PointOfSale
{
    public class RoleFactoryBI
    {
        private RoleFactoryBI()
        { }
        public static RoleBI GetRoleBI(string roleID)
        {
            RoleBI roleBI = new RoleBI(roleID, CurrentUser.user.UserID);
            if (!roleBI.IsAllowed)
            {
                using (LoginForm frm = new LoginForm())
                {
                    frm.ShowDialog();
                    roleBI.Evelvate(frm.UserName);
                }
            }
            return roleBI;
        }
    }
}
