﻿using System;
using System.Runtime.Serialization;

namespace Tanshu.Accounts.Contracts
{
    public enum PendingType
    {
        Today = 0,
        Week = 1,
        All = 2,
        Alarms = 4
    }

    public class PendingBillsBO
    {
        public Guid voucherID { get; set; }
        public string BillNo { get; set; }
        public string Kot { get; set; }
        public string TableID { get; set; }
        public decimal Amount { get; set; }
        public bool Important { get; set; }
        public bool Alarm { get; set; }
        public DateTime BookingTime { get; set; }
        public DateTime LastEdited { get; set; }
        public string Waiter { get; set; }
        public string Cashier { get; set; }
        public bool Printed { get; set; }
        public DateTime? AlarmTime { get; set; }
        public Guid? AdvanceID { get; set; }
    }
}
